unit uFormJSONObjectAddArray;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, Vcl.Controls, Vcl.StdCtrls, WEBLib.StdCtrls
  , weblib.JSON;

type
  TMyForm = class(TWebForm)
    btCreate: TWebButton;
    btParse: TWebButton;
    memo: TWebMemo;
    procedure btCreateClick(Sender: TObject);
    procedure btParseClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MyForm: TMyForm;

implementation

{$R *.dfm}

procedure TMyForm.btCreateClick(Sender: TObject);
var
  x : TJSONObject;
  xa : TJSONArray;
begin
  x := TJSONObject.Create;
  x.AddPair('MyData','123 Ok');
  x.AddPair('MyNewData','789 Ok');
  xa := TJSONArray.Create;
  xa.Add(1);
  xa.Add(2);
  xa.Add(3);
  x.AddPair('MyArray', xa);
  memo.Lines.Text := x.ToJSON;
  x.Free;
end;

procedure TMyForm.btParseClick(Sender: TObject);
var
  x : TJSONObject;
  xa : TJSONArray;
begin
  x := TJSONObject.ParseJSONValue('{"MyData":"123 Ok"}') as TJSONObject;
  x.AddPair('MyNewData','789 Ok');
  xa := TJSONArray.Create;
  xa.Add(1);
  xa.Add(2);
  xa.Add(3);
  x.AddPair('MyArray', xa);
  memo.Lines.Text := x.ToJSON;
  x.Free;
end;

end.